<template>
  <div>
    <div class="text-[18px] text-center text-[#133F5D] font-bold capitalize mb-6">Lihat Simulasi Pinjaman Anda</div>

    <div class="text-[16px] text-[#133F5D] mb-6">Silahkan unggah tanda tangan Anda</div>
    <FileUploadLarge />
    <!-- <button
      @click="isShowModal = true"
      type="button"
      class="h-[46px] w-[214px] rounded-full text-center text-[16px]  mx-auto block"
      :class="file ? 'bg-[#93C854] text-white' : 'bg-[#E0E4E7] text-[#9AA6B0]'"
    >
      Simpan
    </button> -->
    <Modal
      v-if="isShowModal"
      title="Selamat, Limit Anda Sudah Aktif!"
      desc="Data pengajuan Anda telah kami terima dan akan diproses dalam waktu 2x24 jam."
      :image="paymentIllus"
      action="updateContent"
    />
  </div>
</template>

<script>
import EventBus from '~/helpers/eventBus'
import FileUploadLarge from './FileUploadLarge.vue'
import Modal from './Modal.vue'

export default {
  name: 'SignUpload',
  data() {
    return {
      isShowModal: false,
      paymentIllus: require('@/assets/images/payment.png'),
    }
  },
  components: {
    FileUploadLarge,
    Modal
  },
  created() {
    EventBus.$on('show-success-modal', this.showSuccessModal);
  },
  methods: {
    showSuccessModal() {
      this.isShowModal = true
    }
  }
}
</script>
